%global modulename define-property

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-define-property
Version:        2.0.2
Release:        1%{?dist}
Summary:        Define a non-enumerable property on an object. Uses Reflect.defineProperty when available, otherwise Object.defineProperty.

License:        MIT
URL:            https://github.com/jonschlinkert/define-property
Source0:        https://registry.npmjs.org/define-property/-/define-property-2.0.2.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(is-descriptor) >= 1.0.2 with npmlib(is-descriptor) < 2.0.0))
BuildRequires:  ((npmlib(isobject) >= 3.0.1 with npmlib(isobject) < 4.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Define a non-enumerable property on an object. Uses Reflect.defineProperty when available, otherwise Object.defineProperty.

%package 2.0.2
Summary:        Define a non-enumerable property on an object. Uses Reflect.defineProperty when available, otherwise Object.defineProperty.


%description 2.0.2
Define a non-enumerable property on an object. Uses Reflect.defineProperty when available, otherwise Object.defineProperty.

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc CHANGELOG.md
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 2.0.2
%doc CHANGELOG.md
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Wed Nov 28 2018 npm2srpm <dshea@redhat.com> - 2.0.2-1
- Package automatically generated by npm2srpm
